gnutls_pk_to_sign(3)

NAME
gnutls_pk_to_sign - API function

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_sign_algorithm_t gnutls_pk_to_sign(gnutls_pk_algorithm_t pk, gnutls_digest_algorithm_t hash);

ARGUMENTS

gnutls_pk_algorithm_t pk
    is a public key algorithm

gnutls_digest_algorithm_t hash
    a hash algorithm

DESCRIPTION
This function maps public key and hash algorithms combinations to signature algorithms.

RETURNS
return a gnutls_sign_algorithm_t value, or GNUTLS_SIGN_UNKNOWN on error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/